Package: org.apache.groovy.parser.antlr4

## [Java] Class Antlr4ParserPlugin

- org.apache.groovy.parser.antlr4.Antlr4ParserPlugin

- All Implemented Interfaces and Traits:
    ParserPlugin

      public class Antlr4ParserPlugin
      extends Object
      implements ParserPlugin

  A parser plugin for the new parser.

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public ModuleNode` | `buildAST(SourceUnit sourceUnit, ClassLoader classLoader, Reduction cst)`
    `` | `public Reduction` | `parseCST(SourceUnit sourceUnit, Reader reader)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### @Override
      public ModuleNode buildAST(SourceUnit sourceUnit, ClassLoader classLoader, Reduction cst)

    - #### @Override
      public Reduction parseCST(SourceUnit sourceUnit, Reader reader)